Bug 6361 - smbget.c won't accept -f or --rcfile arguments.
smbget.c won't accept -f or --rcfile arguments.
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: Client tools
3.3.4
All All
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 16:09 UTC by j scott
Modified: 2009-05-18 04:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description j scott 2009-05-14 16:09:20 UTC
the long_options[] array in source/utils/smbget.c has an error for the
-f (--rcfile) entry.  there's a zero in the column where 'f' should be.
w/o 'f' in that column (4th col, IIRC) you won't get inside the loop
to look the -f.  once the 'f' is inserted into long_options the option
does work.

that's going to be OS independent.
Comment 1 Volker Lendecke 2009-05-15 14:07:44 UTC
Patch is in http://git.samba.org/?p=samba.git;a=commitdiff;h=7d85bf2a425094

Thanks for reporting!

Can someone else ack this for 3.3.5?

Thanks,

Volker
Comment 2 Simo Sorce 2009-05-15 14:54:52 UTC
(In reply to comment #1)
> Patch is in http://git.samba.org/?p=samba.git;a=commitdiff;h=7d85bf2a425094
> 
> Thanks for reporting!
> 
> Can someone else ack this for 3.3.5?

ACK

Comment 3 Volker Lendecke 2009-05-15 15:05:30 UTC
Karolin, with

git format-patch --stdout 7d85bf2a^..7d85bf2a | git am -3

you can get this across to 3.3

Thanks,

Volker
Comment 4 Karolin Seeger 2009-05-18 04:54:34 UTC
Pushed, will be included in 3.3.5.
Closing out bug report.

Thanks for reporting!